<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
      
       <title>Developer Portfolio</title>

	<!-- <link rel="stylesheet"  href="index.css"> -->

	<title>Bootstrap </title>
</head>
<body class="text-center">

	<h1>Bootstrap Grid System</h1>

	<h2>Two coloumns</h2>
	<div class="container-fluid"></div>

	<div>
		<!-- Row rith two equal columns -->
		<h3>1:1 Ratio</h3>
	
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
	</div>
		</div >

	<div>
		<!-- Row rith two equal columns divided in 1:2 ratio -->
		<h3>1:2 Ratio</h3>
	
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
	</div>
		</div >

		<div>

		<!-- Row rith two equal columns divided in 1:3 ratio -->
		<h3>1:3 Ratio</h3>
	
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
	</div>
	
			<h2>Three Columns</h2>
			<div class="container-fluid"></div>
	<h3>1:1:1 Ratio</h3>

	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
	</div>
 	</div>

 	<div>
 	<h2>1:2:1 Ratio</h2>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
	</div>
	</div>


 	<div>
 	<h2>Uneven Ratio</h2> 
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
	</div>
</div>	

	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			
		</div>
	</div>

	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid"></div>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col 2">Responsive</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Responsive</div>


</div>
	<h2>Multi-Column Layouts</h2>
		<div class="container-fluid"></div>
		<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 1</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 2</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 3</div>
		<div class="w-100"></div>
		<div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 4</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col">Catalog 5</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col">Catalog 6</div>
</div >
<div>
	<h2>Offsetting Columns</h2>
	<div class="container-fluid"></div>
   <div class="row"> </div>

  <div class="bg-primary pt-3 pb-3 border text-light  border-dark col-4 offset-md-3">Offset Column</div>
  <div class="bg-primary pt-3 pb-3 border text-light  border-dark col-4 offset-md-4 ">Offset Column</div>
</div>
  <div class="bg-primary pt-3 pb-3 border text-light  border-dark col-4 offset-md-5  ">Offset Column</div>

  	<h2>Column Orders</h2>
	<div class="container-fluid"></div>
		<div class="text-light row ">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 order-sm-12">Left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 order-sm-1">Right</div>
</div>



		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
		</body>
 
</html>